sched_setscheduler
Prev | Delaying, scheduling, and timer routines | Next

## Name

sched_setscheduler — change the scheduling policy and/or RT priority of a thread.

## Synopsis

`int sched_setscheduler (` | struct task_struct * | p,
| int | policy,
| struct sched_param * | param`)`;

## Arguments

`p`

  the task in question.

`policy`

  new policy.

`param`

  structure containing the new RT priority.

## Description

NOTE that the task may be already dead.

Prev | Up | Next
task_nice | Home | yield